<!DOCTYPE html>
<html ng-app='lfm'>
<head lang="en">
    <meta charset="UTF-8">
  <title>LFM Contact Center Supervision</title>
  <link rel="stylesheet" href="scripts/bootstrap/dist/css/bootstrap.css" />
  <link rel="stylesheet" href="styles/lfm.css" />
  <link rel="stylesheet" href="styles/agentstates.css" />
  <link rel="stylesheet" href="styles/seuils.css" />

  <script src="http://localhost:9000/assets/javascripts/angular.min.js" type="text/javascript"></script>
  <script src="http://localhost:9000/assets/javascripts/jquery-2.0.3.min.js" type="text/javascript"></script>
  <script src="http://localhost:9000/assets/bootstrap/js/bootstrap.min.js" type="text/javascript"></script>
  <script src="http://localhost:9000/assets/javascripts/ui-bootstrap-tpls-0.11.0.min.js" type="text/javascript"></script>
  <script src="http://localhost:9000/assets/javascripts/jquery-ui-1.10.2.custom.min.js" type="text/javascript"></script>
  <script src="http://localhost:9000/assets/javascripts/moment-with-langs.min.js" type="text/javascript"></script>
  <script src="http://localhost:9000/assets/javascripts/countdown.js" type="text/javascript"></script>
  <script src="http://localhost:9000/assets/javascripts/moment-countdown.js" type="text/javascript"></script>
  <script src="http://localhost:9000/assets/javascripts/cti.js" type="text/javascript"></script>
  <script src="http://localhost:9000/assets/javascripts/services/xuc_services.js" type="text/javascript"></script>
  <script src="scripts/lfm.js" type="text/javascript"></script>
</head>
<body ng-controller="ctiLinkController">
<div ng-hide="connected" class="container loading">
  <div clas="row">
    <div class="col-md-3"><i class="glyphicon glyphicon-refresh glyph-loading" aria-hidden="true"></i> Loading .....</div>
    <div class="col-md-2 col-md-offset-7">{{clock}}</div>
  </div>
</div>
<div ng-show="connected" class="container-fluid text-center mainlfm" ng-controller="queueController">
  <div class="row" >
    <div class="col-md-1 lfmLogo"><img src="images/lfm.png"></div>
    <div class="col-md-3"></div>
    <div class="col-md-4">APPELS</div>
    <div class="col-md-2 col-md-offset-2">{{currentDay}}</br>{{clock}}</div>
  </div>
  <div class="row" ng-controller="queueTotalController">
    <div class="col-md-6 col-md-offset-3 totalCalls">
        <div class="row totalVOffset"><div class="col-md-12">&nbsp;</div></div>
        <div class="row">
          <div class="col-md-4 totalCounterCol"><div class="totalCounter">{{totals.TotalNumberCallsEntered | number : 0}}</div></div>
          <div class="col-md-4 totalCounterCol"><div class="totalCounter">{{totals.GlobalPercentageAnswered | number : 0}}%</div></div>
          <div class="col-md-4 totalCounterCol"><div class="totalCounter">{{totals.GlobalPercentageAnsweredLastHour | number : 0}}%</div></div>
        </div>
      <div class="row totalVOffset">&nbsp;</div>
        <div class="row">
          <div class="col-md-4 totalLabel">TOTAL</br>des appels</div>
          <div class="col-md-4 totalLabel">Répondu</br>par jour</div>
          <div class="col-md-4 totalLabel">Répondu</br>dernière heure</div>
        </div>
      <div class="row totalVOffset">&nbsp;</div>
    </div>
    <div class="col-md-1 bravo" ng-show="bravo()">
      <div class="smiley row"><img src="images/lfmsmile.png"></div>
      <div class="row bravo">Bravo !</div>
      <div class="row totalVOffset">&nbsp;</div>
    </div>
  </div>
  <div class="row totalVOffset">
    <div class="col-md-1 col-md-offset-6 colLink">
      <div class="boxLink">&nbsp</div>
    </div>
  </div>
  <div class="row" ng-controller="queueTotalController">
    <div class="col-md-8 col-md-offset-2 totalQueueCalls">
      <div class="row totalVOffset"><div class="col-md-12">&nbsp;</div>
      </div>
      <div class="row">
        <div class="col-md-3 totalQueueCol"><div class="totalQueue">{{totals.TotalNumberCallsTimeout}}</div></div>
        <div class="col-md-3 totalQueueCol"><div class="totalQueue">{{totals.TotalNumberCallsAbandonned}}</div></div>
        <div class="col-md-3 totalQueueCol"><div class="totalQueue">{{totals.WaitingCalls}}</div></div>
        <div class="col-md-3 totalQueueCol"><div class="totalQueue">{{totals.TotalNumberCallsAnswered}}</div></div>
      </div>
      <div class="row">
        <div class="col-md-3 totalQueueLabel">Transféré</br>sur CC</div>
        <div class="col-md-3 totalQueueLabel">Abandons</div>
        <div class="col-md-3 totalQueueLabel">En attente</div>
        <div class="col-md-3 totalQueueLabel">Répondu</br>aujourd'hui</div>
      </div>
      <div class="row totalVOffset"><div class="col-md-12">&nbsp;</div>
    </div>
  </div>
  <div class="row totalVOffset"><div class="col-md-12">&nbsp;</div>
  <div class="row" ng-controller="agentController">
    <div class="col-md-10 col-md-offset-1">
          <table class="table agentsTable table-condensed">
            <tr ng-repeat="agents in agentsInCol">
              <td ng-repeat="agent in agents" class="agentData">
                <table class="table agentDetails ">
                  <tr class="agentData">
                    <td class="AgentName" ><span class="{{agent.state}} badge">&nbsp;</span> {{agent.name | limitTo: 14 }} </td>
                    <td class="AgentState">{{agent.timeInState.toClockString()}}</td>
                  </tr>
                </table>
              </td>
            </tr>
          </table>
      </div>
  </div>
</div>
 <div class="row totalVOffset legend">
   <div class="col-md-1 col-md-offset-1 BckAgentReady">&nbsp;</div><div class="col-md-1">disponible</div>
   <div class="col-md-1 col-md-offset-1 BckAgentOnPause">&nbsp;</div><div class="col-md-1">non disponible</div>
   <div class="col-md-1 col-md-offset-1 BckAgentLoggedOff">&nbsp;</div><div class="col-md-1">déconnecté</div>
   <div class="col-md-1"><i class="glyphicon glyphicon-leaf Link{{status}}"></i>&nbsp;
   </div>
 </div>
 <script type="text/javascript">
         initCtiLocale("lfmpanel");
 </script>
</body>
</html>
